Bug 245002 - security/acme.sh: --reloadcmd is ignored with the --cron flag in acme.sh-2.8.5_1
Summary: security/acme.sh: --reloadcmd is ignored with the --cron flag in acme.sh-2.8.5_1
Status: Closed Works As Intended
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dan Langille
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-03-23 07:00 UTC by Victor Sudakov
Modified: 2020-04-05 13:04 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dvl)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Sudakov 2020-03-23 07:00:25 UTC
--reloadcmd is being ignored when used together with the --cron flag. I think this was fixed upstream: https://github.com/acmesh-official/acme.sh/issues/1002 but are we using an older version or what?
Comment 1 Dan Langille freebsd_committer 2020-04-04 14:42:43 UTC
2.8.5 was released in January: https://github.com/acmesh-official/acme.sh/releases

That is the release we have in FreeBSD: https://www.freshports.org/security/acme.sh/

https://github.com/acmesh-official/acme.sh/issues/1002 was referenced in  
https://github.com/acmesh-official/acme.sh/pull/1814 where is it stated:

###
No,
reloadcmd is not for cron.

The reloadcmd is recorded in the domain conf, and in the cron job, it will read the domain conf and execute the reloadcmd automatically.

The cron command should not take any domain specific parameters.
###

re: https://github.com/acmesh-official/acme.sh/pull/1814#issuecomment-419715911
Comment 2 Dan Langille freebsd_committer 2020-04-04 14:43:21 UTC
Conclusion: it has not been fixed upstream and it is unlikely to be fixed as it is not recommended.
Comment 3 Victor Sudakov 2020-04-05 06:25:24 UTC
(In reply to Dan Langille from comment #1)
Then I'm completely at a loss how and when to record my reloadcmd into the domain config. 

I can probably edit ~/.acme.sh/mydomain.example/mydomain.example.conf and change the value of Le_ReloadCmd manually, but this was not the authors' intention, was it?
Comment 4 Victor Sudakov 2020-04-05 09:05:30 UTC
it has not been fixed upstream and it is unlikely to be fixed as it is not recommended.
Comment 5 Dan Langille freebsd_committer 2020-04-05 13:04:08 UTC
I suggest asking upstream how to acheive your goal.